# iContact Module

## Overview
The [iContact module for Drupal](http://www.drupal.org/project/icontact) provides integration between Drupal and the [iContact service](http://www.icontact.com/), allowing for management of iContact accounts from your Drupal powered web site as well as allowing new subscriptions by users and message statistics.

## Setup/Installation
To install and setup the iContact module...

1. Download and enable the module as with any other Drupal module.
2. [Create an account with iContact](https://www.icontact.com/getstarted/02) - Note that free accounts do not get access to the iContact sandbox so will be unable to use the module's sandbox settings.
3. Copy the API key from the configuration screen at admin/settings/icontact in your Drupal site to your iContact account - Note that the keys are different for the sandbox and live modes (see screenshot below).  Registering the API key with iContact will generate an application password which you'll use to allow the Drupal site to connect to your iContact account.
4. Enter your account information for the Live and/or Sandbox, using the application password generated by iContact in the previous step.

![module configuration screen](http://drupal.org/files/Snapshot%2010:15:12%205:51%20AM-2.png)

## Features
By itself, the iContact module simply provides an API and linking between Drupal and iContact.  To add features, enable one or more of the included submodules.

### iContact UI module>
The iContact UI module provides a graphical interface for managing iContact data.

* Accounts
  * View Account information
  * Edit Account information  
  * View Users with access to a given account

* Client Folders
  * View Enabled Client Folders in a given Account

* Contact
  * View and Filter a list of Contacts in a given Client Folder
  * View Contacts in a given List
  * Edit Details of a given Contact
  * View the History of a given Contact

* Lists
  * View Lists in a given Client Folder
  * Edit a List
  * Add a List

* Messages
  * View Messages in a given Client Folder
  * Edit Details of a given Message

### iContact Subscribe module>
The iContact Subscribe module provides a block that allows users to subscribe to iContact lists and ability for new users to subscribe to lists at registration.  When linkage to an iContact account is correctly configured (as described in Setup/Installation), the iContact Subscribe module adds Subscribe Methods tab to the iContact Configuration screen.  From this screen, a user with the correct permissions can create a signup block for each list in iContact and set which list(s) can be signed up for when users register.
